var testApp;
(function (testApp) {
    'use strict';
    var MainController = (function () {
        function MainController($scope) {
            this.$scope = $scope;
            $scope.validate = function (event) {
                console.log('validate called');
                event.preventDefault();
                if ($scope.validator.validate()) {
                    $scope.validationMessage = "Hooray! Your tickets has been booked!";
                    $scope.validationClass = "valid";
                }
                else {
                    $scope.validationMessage = "Oops! There is invalid data in the form.";
                    $scope.validationClass = "invalid";
                }
            };
        }
        MainController.$inject = ['$scope'];
        return MainController;
    })();
    testApp.MainController = MainController;
    angular.module('testApp.controllers', []).controller('MainController', MainController);
})(testApp || (testApp = {}));
//# sourceMappingURL=MainController.js.map