﻿module testApp {
    'use strict';

    export class MainController {

        static $inject = ['$scope'];

        constructor(private $scope: any) {

            $scope.validate = function (event) {
                console.log('validate called');
                event.preventDefault();

                if ($scope.validator.validate()) {
                    $scope.validationMessage = "Hooray! Your tickets has been booked!";
                    $scope.validationClass = "valid";
                } else {
                    $scope.validationMessage = "Oops! There is invalid data in the form.";
                    $scope.validationClass = "invalid";
                }
            }

        }

    }
    angular.module('testApp.controllers', []).controller('MainController', MainController);
}
